Skip to main content

Whitelist IP Address

Whitelists an IP Address for all of your clients. This endpoint accepts a single IP address or it accepts multiple IP addresses with CIDR ranges from /22 to /32. Ranges lower than /22 are not permitted. To whitelist dynamic IP addresses, provide an IP address with the appropriate range specified in the last portion of the address (e.g., 192.168.1.1/24).

info

It may take up to 15 minutes for U.S.-based IP address to become active after whitelisting. Non-U.S. addresses may take longer.

POST
/ip_addresses

Request Body

FieldRequiredType

ip_address

Required
Object

Request sample

Language:shell

_10
curl -L -X POST 'https://int-api.mx.com/ip_addresses' \
_10
-H 'Accept: application/vnd.mx.api.v1+json' \
_10
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
_10
--data-raw '{ "ip_address": { "ip_address": "1.2.3.4" } }'

Response sample

200
Language:json

_10
{
_10
"ip_address": {
_10
"created_at": "2024-09-04T16:07:40+00:00",
_10
"guid": "IPA-123",
_10
"ip_address": "1.2.3.4",
_10
"status": "PENDING",
_10
"updated_at": "2024-09-04T16:07:40+00:00"
_10
}
_10
}